{% extends "base.html" %}

{% block title %}Matériel / alarmes{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'materiel' %}">Matériel</a></li>
<li class="breadcrumb-item active" aria-current="page">Appareils</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col"><h2>Gestion des appareils</h2></div>
        {% if perms.alarme.add_alarme %}
        <div class="col text-end">
            <a class="btn btn-sm btn-outline-primary" href="{% url 'alarme-new' %}">Nouvel appareil</a>
        </div>
        {% endif %}
    </div>

    <ul class="nav nav-tabs">
      <li class="nav-item">
        <a class="nav-link active" aria-current="page" href="{% url 'alarmes' %}">Appareils</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'materiel-liste' %}">Autre matériel</a>
      </li>
    </ul>

    <form class="immediate_submit table-filter unmonitor" method="get" action=".">
    <table class="table">
        <thead class="sticky">
            <tr><th>Modèle</th><th>N° série</th><th>Carte SIM</th><th>Date d’achat</th><th>Installé chez</th><th style="width: 18%">Remarques</th></tr>
            <tr class="filters">
                <td>{{ form.modele }}</td><td>{{ form.no_serie }}</td><td>{{ form.carte_sim }}</td>
                <td></td>
                <td>{{ form.nom_client }}
                    <span hidden>{{ form.archived }}</span><span hidden>{{ form.en_rep }}</span>
                    <span hidden>{{ form.en_stock }}</span>
                </td>
                <td></td>
            </tr>
        </thead>
        <tbody id="filter_container">
        {% for alarme in object_list %}
            <tr>
                <td><a href="{% url 'alarme-edit' alarme.pk %}?next={{ request.get_full_path }}">{{ alarme.modele }}</a></td>
                <td>{{ alarme.no_serie }}</td>
                <td>{{ alarme.carte_sim }}</td>
                <td>{{ alarme.date_achat|date:'d.m.Y' }}</td>
                {% with client=alarme.install_actuelle.client %}
                <td>{% if client %}<a href="{% url 'client-edit' client.pk %}">{{ client }}</a>
                    {% else %}
                        <span class="fst-italic">
                        {% if alarme.date_archive %}Archivé
                        {% elif alarme.en_rep_depuis %}En réparation depuis le {{ alarme.en_rep_depuis|date:'d.m.Y' }}
                        {% else %}En stock
                            {% with benevole=alarme.chez_benevole %}
                            {% if benevole %}, chez <a href="{% url 'benevole-stock' benevole.pk %}">{{ benevole }}</a>{% endif %}
                            {% if alarme.a_reviser %}, à réviser{% endif %}
                            {% endwith %}
                        {% endif %}
                        </span>
                    {% endif %}
                </td>
                {% endwith %}
                <td>{{ alarme.remarques }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}

{% endblock %}
